from gym.envs.registration import register
import environment

register(
    id='example_FourRooms',
    entry_point='environment.example.Env_FourRooms:FourRoomsEnv',
)

register(
    id='example_Maze2d',
    entry_point='environment.example.Env_Maze2d:Maze2D',
)

register(
    id='Env_01BP_V1',
    entry_point='environment.used.Env_01bp_v1:BinBackpack',
)

register(
    id='Env_TSP_V1',
    entry_point='environment.used.Env_tsp_v1:TSP_V1',
)

register(
    id='Env_TSP_V2',
    entry_point='environment.used.Env_tsp_v2:TSP_V2',
)

register(
    id='Env_TSP_V3',
    entry_point='environment.used.Env_tsp_v3:TSP_V3',
)

register(
    id='Env_PCTSP_V1',
    entry_point='environment.used.Env_pctsp_v1:PCTSP_V1',
)

register(
    id='Env_OP_V1',
    entry_point='environment.used.Env_op_v1:OP_V1',
)

register(
    id='Env_CVRP_V1',
    entry_point='environment.used.Env_cvrp_v1:CVRP_V1',
)

register(
    id='DDP_Env_CVRP_V1',
    entry_point='environment.used.Env_cvrp_v1:DDP_CVRP_V1',
)

register(
    id='LMPromptEnv',
    entry_point='environment.wrapper:LMPromptEnv',
)